function R = LLD_sim(t1,anc_rpt,a,b)
%function R = LLD_sim(t1,anc(k),a,b)
%returns R = simulated STR repeat size, for given time and ancestral rpt size, under LLD-SMM
%t1 = time to ancestor
%anc_rpt = ancestor's STR rpt size
%a = single intercept value under LLD-SMM, = vector of mutation rates for each STR locus under S-SMM
%b = single slope value (using STR repeat size as variate) under LLD-SSM, not used under S-SMM

%Generates EXPONENTIAL processes until arrive at t1, or R is such that mu is negative

R = anc_rpt;
mu = a + b*R;
t = -log(rand)/mu;			%simulates time to next mutation event (exponential with mean 1/mu)
while (t<t1)&(mu>0)
  if mu>1, disp(['Warning! mu=' num2str(mu) ', R=' num2str(R)]); end
  R = R - 1 + 2*round(rand);		%adds or subtracts 1 with equal prob
  mu = a + b*R;
  t=t -log(rand)/mu;
end
